use shared::Message;

use crate::error;

// TODO(wathiede): decide good error type
pub fn threadset_to_messages(
    thread_set: notmuch::ThreadSet,
) -> Result<Vec<Message>, error::ServerError> {
    for t in thread_set.0 {
        for _tn in t.0 {}
    }
    Ok(Vec::new())
}
